# Connect to vCenter
Connect-VIServer vmw-mgmt-vc05.vdc.local

# Define Resource Pools
$RPs
$RPs = Get-ResourcePool 
$RPcpu
$RPmem

# Loop through each Provider VDC
foreach($RPS in $RPs) {
#	$RPmem = Get-ResourcePool $RPs | Get-Stat -Stat mem.consumed.average | Export-CSV C:\Users\$env:UserName\Desktop\RP_Stats\$RPs.csv -append
#	$RPcpu = Get-ResourcePool $RPs | Get-Stat -Stat cpu.usagemhz.average | Export-CSV C:\Users\$env:UserName\Desktop\RP_Stats\$RPs.csv -append
#	Get-ResourcePool $RPs | Get-Stat | Export-CSV C:\Users\$env:UserName\Desktop\RP_Stats\$RPs.csv -append
#	Get-ResourcePool $RPs | Get-Stat | Export-CSV C:\Users\$env:UserName\Desktop\RP_Stats\$RPs.csv -append
	Get-ResourcePool | Select Name, MemReservationGB, MemLimitGB, CPUReservationMHz, CPULimitMHz | Export-CSV C:\Users\$env:UserName\Desktop\RP_Stats\ResourcePools.csv
#	Get-VM | Select 
}


# Get-VM | Foreach {Add-Member -InputObject $_ -MemberType NoteProperty -Name Date -Value $(Get-Date) -PassThru} | Select Date, Name, PowerState, NumCpu, MemoryGB, ProvisionedSpaceGB, UsedSpaceGB | sort Name | 

# Disconnect from all vCenter
Disconnect-vIServer * -confirm:$false