#Credentials
#	$c = Get-Credential

#Define UCS domains
$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70

#$UCSDomains = $kwd1,$kwd2,$kwd3,$dtw1,$dtw2,$dtw3
$UCSDomains = $kwd2




#Foreach($UCSDOMAIN in $UCSDOMAINS){
#Connect-Ucs $ucsdomain -Credential $c
#$fcstats = Get-UcsFcStats | where {($_.BytesRx -ne '0')} | Select UCS,Dn,BytesRxDeltaAvg,BytesTxDeltaAvg,BytesRxDeltaMax,BytesTxDeltaMax #| ft -autosize | Sort-Object -Property Dn  | Export-CSV .\UCS_FC_Bandwidth_Report.csv -append
$fcstats = (Get-UcsFcStatshist | where {($_.BytesRx -ne '0') -and ($_.Dn -match 'san')})

$Fcobject = @()
Foreach($FCstat in $fcstats){
$BytesRxDeltaAvg = [Math]::Round((((($fcstat.BytesRxDeltaAvg/1024)/1024)/1024)),2)
$BytesTxDeltaAvg = [Math]::Round((((($fcstat.BytesTxDeltaAvg/1024)/1024)/1024)),2)
$BytesRxDeltaMax = [Math]::Round((((($fcstat.BytesRxDeltaMax/1024)/1024)/1024)),2)
$BytesTxDeltaMax = [Math]::Round((((($fcstat.BytesTxDeltaMax/1024)/1024)/1024)),2)

$fc = new-object psobject -Property @{
	UCS = $fcstat.UCS
	Dn = $fcstat.Dn
	Time = $fcstat.TimeCollected
	BytesRxDeltaAvg = $BytesRxDeltaAvg
	BytesTxDeltaAvg = $BytesTxDeltaAvg
	BytesRxDeltaMax = $BytesRxDeltaMax
	BytesTxDeltaMax = $BytesTxDeltaMax
}
$fcobject += $fc
#Disconnect-UCS
}
Write-output $fcobject | select Dn,Time,BytesRxDeltaAvg,BytesTxDeltaAVG,BytesRxDeltaMax,BytesTxDeltaMax | Sort-Object -Property TimeCollected | ft -autosize