#Credentials
	$c = Get-Credential

#Define UCS domains
$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70

$UCSDomains = $kwd1,$kwd2,$kwd3,$dtw1,$dtw2,$dtw3

Foreach($UCSDOMAIN in $UCSDOMAINS){
Connect-Ucs $ucsdomain -Credential $c
Get-UcsChassisStats | Select Dn,OutputPower,OutputPowerAvg,OutputPowerMax,TimeCollected | Sort-Object -Property Dn  | Export-CSV .\UCS_Chassis_Power_Report.csv -append -notypeinformation
Disconnect-UCS
}


#Get-UcsChassisStats | Select Dn,OutputPower,OutputPowerAvg,OutputPowerMax,TimeCollected | ft -autosize