#Credentials
	$c = Get-Credential

#Define UCS domains
$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70

$UCSDomains = $kwd1,$kwd2,$kwd3,$dtw1,$dtw2,$dtw3

Foreach($UCSDOMAIN in $UCSDOMAINS){
Connect-Ucs $ucsdomain -Credential $c
Get-UcsLicense | where {($_.Sku -eq 'UCS-LIC-10GE')}| Select-Object Ucs,Scope,Feature,Sku,AbsQuant,DefQuant,UsedQuant,@{n="RemQuant";e={$_.AbsQuant-$_.UsedQuant}},Status,PeerStatus,OperState,GracePeriodUsed | Export-CSV .\UCS_License_Report.csv -append -notypeinformation
Disconnect-UCS
}