#Begin
Import-Module ImportExcel

#UCS Power Stats
#Get-UcsBlade | Get-UcsComputeBoard | Get-UcsComputeMbPowerStats

#Variables
	#UCS Domains
		$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
		$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
		$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
		$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
		$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
		$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70
		
	#Credentials
		$c = Get-Credential

	#Misc Names
		#$ucs = (get-ucschassis | Get-UcsBlade | select Ucs | Select-Object -first 1).ucs
		$date = get-date -format yyyy-MM-dd
		#$filename = ".\$KWD3" + "_Report.xlsx"
		#$date = get-date -format yyyy-MM-dd
		#$ucs = "blank"
		#$chassis = 0
		#$UCSchassis = 0

	#Blade Info
	#$BladeAssignedToDn = "blank"
	#$BladeUsrLbl = "blank"
	#$BladeModel = "blank"
	#$BladeVid = "blank"
	#$BladeSerial = "blank"
	#$BladeAssociation = "blank"
	#$BladeTotalMemory = "blank"
	#$BladeNumOfCpus = "blank"
	#$BladeNumOfCores = "blank"
	#$BladeSlotID = 1


		
#Define UCS domains
$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70

#Connect and Collect
Connect-Ucs $kwd1 -Credential $c
$filename = ".\$KWD1" + "_Report.xlsx"
#$ucs = (get-ucschassis | Get-UcsBlade | select Ucs | Select-Object -first 1).ucs
$UCSchassis = (get-ucschassis | select Id).ID
#$worksheetname = 0
#get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedTodn,AssignedToDn,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -append -NoTypeInformation


ForEach ($UCSDomain in $UCSchassis){
	Connect-Ucs $UCS -Credential $c
	get-ucschassis | Get-UcsBlade | Select SlotID,AssignedToDn,UsrLbl,Model,Vid,Serial,Ucs,ChassisID

}
Disconnect-Ucs
