#Begin
Import-Module ImportExcel

#Variables
	#UCS Domains
		$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
		$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
		$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
		$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
		$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
		$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70
	
		$UcsDomains = $kwd1,$kwd2,$kwd3,$dtw1,$dtw2,$dtw3
		
		#$UcsDomains = $kwd2
		
	#Credentials
	$c = Get-Credential
	$date = get-date -format yyyy-MM-dd

	#Set up Slot Population Worksheet
	# echo "UCS Domain" | export-excel .\Empty_UCS_Slots.xlsx -worksheetname "Empty Slots" -startcolumn 2 -startrow 2 -AutoSize
	# echo "Chassis ID" | export-excel .\Empty_UCS_Slots.xlsx -worksheetname "Empty Slots" -startcolumn 3 -startrow 2 -AutoSize
	# echo "Slot Number" | export-excel .\Empty_UCS_Slots.xlsx -worksheetname "Empty Slots" -startcolumn 4 -startrow 2 -AutoSize
	# echo "Status" | export-excel .\Empty_UCS_Slots.xlsx -worksheetname "Empty Slots" -startcolumn 5 -startrow 2 -AutoSize
	
ForEach ($UCSDomain in $UCSDomains)
{
#Connect and Collect
Connect-Ucs $UCSDomain -Credential $c
$UCSchassis = (get-ucschassis).ID

#Empty Slot Report
	#Collect EmptySlot Information
	Get-UcsFabricComputeSlotEp | Where-Object {($_.Presence -eq 'empty')} | Select Ucs,ChassisID,Rn,Presence | export-csv UCS_Empty_Slots.csv -append
	Disconnect-Ucs
}
#end