#Select the cluster for data gathering
$Cluster = (Get-Cluster | Sort-Object -Property Name).Name
$countCL = 0
Write-Output " "
Write-Output "Clusters: "
Write-Output " "
foreach($oC in $Cluster){
Write-Output "[$countCL] $oc"
$countCL = $countCL+1
}
Write-Output " "
$choice = Read-Host "Which cluster would you like to review?"
Write-Output " "
$cluster = get-cluster $cluster[$choice]
$choice = 0

#Select the top-level resource pool for data gathering
$PRPs = (Get-resourcePool -norecursion -location (Get-Cluster $cluster | Get-ResourcePool 'Resources') | Sort-Object -Property Name).Name
$countPRP = 0
Write-Output " "
Write-Output "Parent resource pools: "
Write-Output " "
foreach($oP in $PRPs){
Write-Output "[$countPRP] $oP"
$countPRP = $countPRP+1
}
Write-Output " "
$PRPchoice = Read-Host "Please select the parent resource pool"
Write-Output " "
# $selectedprp = Get-resourcepool $PRPs[$PRPchoice]
$selectedprp = (Get-resourcePool $PRPs[$PRPchoice]).Name

(Get-ResourcePool $DRP | Get-View | Select @{Name="CPUUsage";Expression={$_.summary.quickstats.OverallCPuUsage}}).CPUUsage


#VirtualMachineId          : VirtualMachine-vm-284
#VM                        : ZCM
#VMId                      : VirtualMachine-vm-284
#NumCpuShares              : 4000
#CpuReservationMhz         : 0
#CpuLimitMhz               : -1
#CpuSharesLevel            : Normal
#NumMemShares              : 81920
#MemReservationMB          : 0
#MemReservationGB          : 0
#MemLimitMB                : -1
#MemLimitGB                : -1
#MemSharesLevel            : Normal
#DiskResourceConfiguration : {Normal:1000}
#HTCoreSharing             : Any
#CpuAffinity               : NoAffinity
#CpuAffinityList           :
#Uid                       : /VIServer=vdc\tverkade@kwd-mgmt-vc.kwd.vdc.local:443/VirtualMachine=VirtualMachine-vm-284/
#                            MResourceConfiguration=/