#Define UCS domains
$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70

#CollectCredentials
$c = Get-Credential

#Connect and Collect
Connect-Ucs $kwd1 -Credential $c
get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedToDn,UsrLbl,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -NoTypeInformation
Disconnect-Ucs                                                                    
                                                                                  
Connect-Ucs $kwd2 -Credential $c                                                  
get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedToDn,UsrLbl,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -append -NoTypeInformation
Disconnect-Ucs                                                                    
                                                                                  
Connect-Ucs $kwd3 -Credential $c                                                  
get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedToDn,UsrLbl,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -append -NoTypeInformation
Disconnect-Ucs                                                                    
	                                                                              
Connect-Ucs $dtw1 -Credential $c                                                  
get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedToDn,UsrLbl,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -append -NoTypeInformation
Disconnect-Ucs                                                                    
                                                                                  
Connect-Ucs $dtw2 -Credential $c                                                  
get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedToDn,UsrLbl,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -append -NoTypeInformation
Disconnect-Ucs                                                                    
                                                                                  
Connect-Ucs $dtw3 -Credential $c                                                  
get-ucschassis | Get-UcsBlade | select ChassisId,SlotId,AssignedToDn,UsrLbl,Model,Vid,Serial,Association,TotalMemory,NumOfCpus,NumOfCores,Ucs | Export-CSV UCS_report.csv -append -NoTypeInformation
Disconnect-Ucs
#Clear Credentials
$c = "empty"