#Begin
#Import-Module ImportExcel

#Variables
	#UCS Domains
		$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
		$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
		$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
		$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
		$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
		$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70
	
		$UcsDomains = $kwd1,$kwd2,$kwd3,$dtw1,$dtw2,$dtw3
		
			#Credentials
	$c = Get-Credential
	$date = get-date -format yyyy-MM-dd

	
ForEach ($UCSDomain in $UCSDomains)
{
#Connect and Collect
Connect-Ucs $UCSDomain -Credential $c
		get-ucschassis | Get-UcsBlade | Select UCS,ChassisID,SlotID,AssignedToDn,UsrLbl,Model,VID,Serial,Association,TotalMemory,NumOfCPUs,NumOfCores | export-csv C:\users\tverkade\desktop\UCS_Inventory_$date.csv -append
		
Disconnect-Ucs
}
#end