#Define vCenters
$dtwdr = 'dtw-dr-vc01.dtw.vdc.local'
$dtwmgmt = 'dtw-mgmt-vc.dtw.vdc.local'
$kwddr = 'kwd-dr-vc01.dtw.vdc.local'
$kwdmgmt = 'kwd-mgmt-vc.dtw.vdc.local'
$vc01 = 'vmw-mgmt-vc01.grr.vdc.local'
$vc02 = 'vmw-mgmt-vc02.vdc.local'
$vc05 = 'vmw-mgmt-vc05.grr.vdc.local'
$vc06 = 'vmw-mgmt-vc06.dtw.vdc.local'
$vCs = $dtwdr,$dtwmgmt,$kwddr,$kwdmgmt,$vc01,$vc02,$vc05,$vc06

$countVC = 0
foreach($vC in $vCs){
Write-Output "[$countVC] $Vc"
$countVC = $countVC+1
}
$vcchoice = Read-Host "Which vCenter would you like to connect to?"
Write-Output " "
#Connect to the Desired vCenter
$connect = connect-viserver $vcs[$vcchoice]

$Cluster = Get-Cluster
$countCL = 0
Write-Output " "
Write-Output "Clusters: "
Write-Output " "
foreach($oC in $Cluster){
Write-Output "[$countCL] $oc"
$countCL = $countCL+1
}
$choice = Read-Host "Which cluster would you like to review?"
Write-Output " "
Write-host "please wait for script to finish, it may take some minutes." -ForegroundColor Yellow
$cluster = get-cluster $cluster[$choice]
Write-host " "
Write-host "Here are the powered on VMs:" -ForegroundColor Green
pause
Get-cluster $cluster | Get-VM | where {$_.PowerState -eq "PoweredOn"} | Select Name | ft

#Disconnect from all vCenters
Disconnect-VIServer -Server * -Force -Confirm:$false