#Variables
	#UCS Domains
		$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
		$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
		$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
		$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
		$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
		$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70
		
	#Credentials
		$c = Get-Credential

		$date = get-date -format yyyy-MM-dd
		
#Define UCS domains
$kwd1 = "UCS-gdrsmiuk.kwd.vdc.local"			#172.19.1.20	
$kwd2 = "UCS-gdrsmiuk-02.kwd.vdc.local"			#172.19.6.20	
$kwd3 = "UCS-gdrsmiuk-03.kwd.vdc.local"			#172.19.6.10	
$dtw1 = "UCS-MLRSMI00.dtw.vdc.local"			#172.16.50.60
$dtw2 = "UCS-MLRSMI00-02.dtw.vdc.local"			#172.16.54.60
$dtw3 = "UCS-MLRSMI00-03.dtw.vdc.local"			#172.16.54.70

$ucsdomains = "$kwd1","$kwd2","$kwd3","$dtw1","$dtw2","$dtw3"

foreach($ucsdomain in $ucsdomains){
Connect-Ucs $ucsdomain -Credential $c
#Get-UcsAdaptorUnit |  Get-UcsMgmtController | Get-UcsFirmwareRunning | Select * | export-csv UCS-adaptor-firmware.csv -append -notypeinformation
Get-UcsChassis | Get-UCSIOM | Select * | export-csv UCS-IOMs.csv -append -notypeinformation
Disconnect-Ucs
}
