﻿$VMs = Get-VMHost 'kwd-mgmt-04.kwd.vdc.local' | Get-VM

$object = @()
Foreach ($vm in $VMs){
Get-VM $VM | Select Name,@{N="Network Usage (Last Month Average), KBps" ; E={[Math]::Round((($_ | Get-Stat -Stat net.usage.average -Start (Get-Date).AddDays(-1) -IntervalMins 5 | Measure-Object Value -Average).Average),2)}}
}