﻿$report = foreach($rp in Get-ResourcePool){
 #   $rpCpu = Get-View -Id  $rp.ExtensionData.Vm -Property Config.Hardware.NumCpu | %{$_.Config.Hardware.NumCpu} | Measure-Object -Sum | select -ExpandProperty Sum
    Get-VM -Location $rp |
    Select @{N='Resourcepool';E={$rp.Name}},@{N='Total vCPU assigned';E={$rpCpu}},@{N='CPU Limit MHz';E={$rp.CpuLimitMHz}},@{N='CPU Reservation MHz';E={$rp.CpuReservationMHz}},@{N='Mem Limit GB';E={$rp.MemLimitGB}},@{N='Mem Reservation GB';E={$rp.MemReservationGB}},Name,NumCPU,MemoryGB
}
$report #| Export-Csv report.csv -NoTypeInformation -UseCulture